
// Steg2Dlg.h : header file
//
// Written by John A deLaubenfels, https://www.adaptune.com/steg.htm .
// Permission granted to use freely in any non-fraudulent way.
//
//

#pragma once

#include "globs.h"


// CSteg2Dlg dialog
class CSteg2Dlg : public CDialogEx
{
// Construction
public:
   CSteg2Dlg(CWnd* pParent = nullptr); // standard constructor

// Dialog Data
#ifdef AFX_DESIGN_TIME
   enum { IDD = IDD_STEG2_DIALOG };
#endif

   protected:
   virtual void DoDataExchange(CDataExchange* pDX);   // DDX/DDV support


// Implementation
protected:
   HICON m_hIcon;

   // Generated message map functions
   virtual BOOL OnInitDialog();
   afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
   afx_msg void OnPaint();
   afx_msg HCURSOR OnQueryDragIcon();
   DECLARE_MESSAGE_MAP()
public:
   afx_msg void OnBnClickedEmbed();
   // What, control variables can have comments?
   CEdit m_cEdt_myGuy;
   afx_msg void OnClickedButnExtract();
   // afx_msg void OnClickedButnGo();
   afx_msg void OnClickedButnHelpinfo();
   stegInfo *m_pCommonInfo;
   // std::vector<onePair> m_vcBackRatEmb;               // ratios to use when embeding
   // std::vector<onePair> m_vcBackRatExt;               // (more extensive) ratios to try when extracting.
};
